Package Details: phonon-qt4 4.10.3-1

Git Clone URL: https://aur.archlinux.org/phonon-qt4.git (read-only, click to copy)
Package Base: phonon-qt4
Description: The multimedia framework for KDE4
Upstream URL: https://community.kde.org/Phonon
Licenses: LGPL
Submitter: bartus
Maintainer: bartus (anthraxx)
Last Packager: bartus
Votes: 61
Popularity: 0.79
First Submitted: 2018-08-24 14:17 (UTC)
Last Updated: 2020-09-08 07:14 (UTC)

Pinned Comments

bartus commented on 2022-03-14 10:35 (UTC)

Sorry lads, I'm at the Polish Ukraine border helping allocate refugees. Expect no update until this hell is over, wish us luck. Have no time nor access to my rig and AUR keys to test/post updates. If you have a patch, ping me on email - I'll add you as co-maintainer. Posted with my old script - https://github.com/bartoszek/aur-post

bartus commented on 2018-10-31 13:28 (UTC) (edited on 2019-01-08 09:23 (UTC) by Alad)

To verify GPG signatures, see the wiki.

https://wiki.archlinux.org/index.php/Makepkg#Signature_checking

Latest Comments

bartus commented on 2022-03-14 10:35 (UTC)

Sorry lads, I'm at the Polish Ukraine border helping allocate refugees. Expect no update until this hell is over, wish us luck. Have no time nor access to my rig and AUR keys to test/post updates. If you have a patch, ping me on email - I'll add you as co-maintainer. Posted with my old script - https://github.com/bartoszek/aur-post

hasechris commented on 2022-02-23 01:16 (UTC)

For anyone searching for the gpg key mentioned by itManMsk:

gpg --keyserver keyserver.ubuntu.com --recv-key B92A5F04EC949121

The key is only on the ubuntu keyserver available WITH an user id attached.

Greetings

ItManMsk commented on 2022-01-12 10:00 (UTC)

fix error: (unknown public key B92A5F04EC949121)

gpg --recv-key B92A5F04EC949121

❯ gpg --recv-key B92A5F04EC949121 gpg: ключ 3FDBB55084CC5D84: импортирован открытый ключ "Harald Sitter sitter@kde.org" gpg: Всего обработано: 1 gpg: импортировано: 1

sdp8483 commented on 2021-08-21 15:31 (UTC)

I followed the below link to get the key working: https://forum.manjaro.org/t/aur-package-fails-to-verify-pgp-gpg-key-unknown-public-key-one-or-more-pgp-signatures-could-not-be-verified/6663

bidulock commented on 2021-07-06 01:18 (UTC)

I just use --nopgpcheck to makepkg or -- --nopgpcheck to makechrootpkg to skip GPG signature checks altogether.

damonh commented on 2021-07-06 00:40 (UTC)

The same error for me too:

(...) phonon-4.10.3.tar.xz ... FAILED (unknown public key B92A5F04EC949121)

When trying the solutions you explained in the prior comments I also get errors:

❯ gpg --keyserver hkp://pool.sks-keyservers.net --recv-key B92A5F04EC949121
gpg: keyserver receive failed: No name
❯ gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121
gpg: keyserver receive failed: No keyserver available

Is this package abandoned?

Regards

saber716rus commented on 2021-07-04 14:53 (UTC)

не собирается. Сборка phonon-qt4... ==> Сборка пакета phonon-qt4 4.10.3-1 (Вс 04 июл 2021 17:51:29) ==> Проверка зависимостей для запуска... ==> Проверка зависимостей для сборки... ==> Получение исходных файлов... -> Найден phonon-4.10.3.tar.xz -> Найден phonon-4.10.3.tar.xz.sig ==> Проверка файлов source с использованием sha256sums... phonon-4.10.3.tar.xz ... Готово phonon-4.10.3.tar.xz.sig ... Пропущено ==> Проверка подписей исходных файлов с помощью 'gpg'... phonon-4.10.3.tar.xz ... СБОЙ (неизвестный открытый ключ B92A5F04EC949121) ==> ОШИБКА: Одна или больше PGP-подписей не могут быть проверены! Не удалось собрать phonon-qt4

luuuciano commented on 2021-06-28 03:33 (UTC)

Any advice with the gpp key thing? I have tried some of the suggested, none worked...

bartus commented on 2020-11-02 11:16 (UTC) (edited on 2020-11-02 11:20 (UTC) by bartus)

@dkeruza: Looks like some problem with pgp.mit.edu

$ gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121
gpg: Warning: using insecure memory!
gpg: keyserver receive failed: No data

Please divert to sks for now:

gpg --keyserver hkp://pool.sks-keyservers.net --recv-key B92A5F04EC949121

dkeruza commented on 2020-10-29 16:20 (UTC)

@HermesT

I am still getting:

gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121          
gpg: keyserver receive failed: No keyserver available

HermesT commented on 2020-10-29 15:10 (UTC)

Hi dkeruza.

I just imported the key with your command and works fine.

Maybe this server was down...

dkeruza commented on 2020-10-27 14:42 (UTC) (edited on 2020-10-27 14:43 (UTC) by dkeruza)

Getting the signature error.

==> Verifying source file signatures with gpg...
    phonon-4.10.3.tar.xz ... FAILED (unknown public key B92A5F04EC949121)
==> ERROR: One or more PGP signatures could not be verified!
Failed to build phonon-qt4

I also tried to get the signature with:

gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121

but the server is not available.

Any suggestion?

habernir commented on 2020-08-03 11:19 (UTC)

i download with wget and put this files to /var/tmp.... and still the same message

bartus commented on 2020-07-08 08:36 (UTC) (edited on 2020-07-08 09:15 (UTC) by bartus)

@kusoneko: The issue is related to aria %u -o %o instead of following metalink presented by kde server saves it as output file, and downloads metalink metalink content and saves it with filename described in metalink. ~Can't find an option in aira to force the behavior expected by makepkg:DLAGENT...~

You can check this out with:

git clone https://aur.archlinux.org/phonon-qt4.git
cd phonon-qt4
source PKGBUILD; aria2c ${source} -o /tmp/output; vim /tmp/output
file phonon-4.10.3.tar.xz

Edit: Looks like it was mentioned on aria bugtracker and should be resolved in latest version

I've reported it on Arch bug tracker

kusoneko commented on 2020-07-07 05:19 (UTC)

@bartus:

So... after downloading them with wget now it works, it appears the issue was that somehow aria2 altered it somehow or failed to properly download this particular package from the source, which is odd, since this is the first package that doesn't appear to appreciate being downloaded with aria2.

kusoneko commented on 2020-07-07 05:02 (UTC) (edited on 2020-07-07 05:02 (UTC) by kusoneko)

@bartus:

  • I tried redownloading it several times and it keeps giving the same error for the checksums.

  • Read again for the PGP signature, the error isn't that the public key is unknown but that the signature is bad.

bartus commented on 2020-07-07 01:09 (UTC) (edited on 2020-07-07 01:11 (UTC) by bartus)

@kuseneko:

  • checksum is exactly the same as reported by KDE metadata ( perhaps you need to redownload )
  • PGP signatures are explained in wiki article ( link in pinned comment )

kusoneko commented on 2020-07-06 19:34 (UTC)

The current version cannot be installed as both the sha256checksums and the GPG signature checks fail:

==> Validating source files with sha256sums...
    phonon-4.10.3.tar.xz ... FAILED
    phonon-4.10.3.tar.xz.sig ... Skipped
==> ERROR: One or more files did not pass the validity check!
==> WARNING: Skipping verification of source file checksums.
==> Verifying source file signatures with gpg...
    phonon-4.10.3.tar.xz ... FAILED (bad signature from public key B92A5F04EC949121)
==> ERROR: One or more PGP signatures could not be verified!

abd commented on 2020-07-06 09:32 (UTC) (edited on 2020-07-06 09:35 (UTC) by abd)

How to solve when building phonon-qt4:
==> Verifying source file signatures with gpg...
phonon-4.10.3.tar.xz ... FAILED (unknown public key B92A5F04EC949121)
==> ERROR: One or more PGP signatures could not be verified!

bartus commented on 2019-04-10 11:43 (UTC)

Please report issues and patches to phonon-qt4@github.com

bartus commented on 2019-03-25 18:43 (UTC)

@haldrinf: that has to be a temporal server glitch - it's working fine now.

haldrin commented on 2019-03-25 14:58 (UTC)

curl: (22) The requested URL returned error: 403 Forbidden

sl1pkn07 commented on 2019-03-18 16:26 (UTC) (edited on 2019-03-18 16:26 (UTC) by sl1pkn07)

hi, ive renamed the backend phonon-mplayer(-git) to phonon-qt4-mplayer(-git)

please update the optdepends

also. build this package produces this warning:

CMake Warning (dev) at /usr/share/cmake-3.14/Modules/FindOpenGL.cmake:272 (message):
  Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when
  available.  Run "cmake --help-policy CMP0072" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  FindOpenGL found both a legacy GL library:

    OPENGL_gl_LIBRARY: /usr/lib/libGL.so

  and GLVND libraries for OpenGL and GLX:

    OPENGL_opengl_LIBRARY: /usr/lib/libOpenGL.so
    OPENGL_glx_LIBRARY: /usr/lib/libGLX.so

  OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for
  compatibility with CMake 3.10 and below the legacy GL library will be used.

can you add -DOpenGL_GL_PREFERENCE=GLVND to cmake options?

greetings

es20490446e commented on 2019-03-14 23:38 (UTC)

fails to build: forbidden to download packages: phonon-4.10.2.tar.xz

kode54 commented on 2019-01-22 01:51 (UTC)

I had a yay issue, and it was because I somehow ended up pulling the commit prior to the fix.

bartus commented on 2019-01-08 16:55 (UTC) (edited on 2019-01-09 13:40 (UTC) by bartus)

@sjakub: this package was broken due to hasty update by package co-maintainer see the commit history [now it's fine] The error with yay was a totally different thing, which was affecting a single user [yay works fine for me].

I'm very eager to see Pull_Request feature in AUR, to quickly resolve this kind of mishaps (<_<)

sjakub commented on 2019-01-08 16:18 (UTC)

This package is broken and it is not "yay" issue!

keepitsimpleengr commented on 2019-01-08 15:46 (UTC)

==> ERROR: Integrity checks (sha256) differ in size from the source array.

morgenstern commented on 2019-01-08 14:37 (UTC) (edited on 2019-01-08 14:39 (UTC) by morgenstern)

Thanks for the tip @noirscape.

Here is the resulting PKGBUILD I got from running "updpkgsums", building successfully now --> https://pastebin.com/EdeaFQnR

noirscape commented on 2019-01-08 14:19 (UTC) (edited on 2019-01-08 14:19 (UTC) by noirscape)

A. AUR helpers are unsupported, see https://wiki.archlinux.org/index.php/Makepkg https://wiki.archlinux.org/index.php/Arch_User_Repository for the officially supported process.

B. If sha256sums are broken, try running updpkgsums.

Tio commented on 2019-01-08 11:24 (UTC)

I get this error on Manjaro:

Synchronizing package databases... Starting full system upgrade... Cloning phonon-qt4 build files... Checking phonon-qt4 dependencies... Building phonon-qt4... ==> Making package: phonon-qt4 4.10.1-4 (mar 08 ene 2019 12:20:16 CET) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Downloading phonon-4.10.1.tar.xz... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 0 332 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 100 332 100 332 0 0 456 0 --:--:-- --:--:-- --:--:-- 456

0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0 13 314k 13 42636 0 0 14477 0 0:00:22 0:00:02 0:00:20 37139 100 314k 100 314k 0 0 90299 0 0:00:03 0:00:03 --:--:-- 177k -> Downloading phonon-4.10.1.tar.xz.sig... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 100 819 100 819 0 0 2237 0 --:--:-- --:--:-- --:--:-- 2231 ==> ERROR: Integrity checks (sha256) differ in size from the source array.

roberthawdon commented on 2019-01-08 10:33 (UTC)

Edit the PKGBUILD file and update the SHA256SUMs line to read:

sha256sums=('e5a98df31aeffc22493afc8d6adbca5d6f0c27cc2eed73b3be05195321e08db7' '9c309d237fa1ffe7113bfffb12872c62e4b51052f3b177071ba3ff91039001b8')

It appears today's update added the .sig file back, but didn't add an SHA256SUM for it.

catalin.hritcu commented on 2019-01-08 10:05 (UTC) (edited on 2019-01-08 10:06 (UTC) by catalin.hritcu)

And the command given in the 2018-12-13 comment fails in the same way:

$ cd $(mktemp -d) && curl <https://aur.archlinux.org/cgit/aur.git/snapshot/phonon-qt4.tar.gz>|tar xzf - && cd phonon-qt4/; makepkg -rs
[...]
==> ERROR: Integrity checks (sha256) differ in size from the source array.

catalin.hritcu commented on 2019-01-08 10:00 (UTC) (edited on 2019-01-08 10:06 (UTC) by catalin.hritcu)

I'm getting signature check problems with 2 different aur helpers, saying the same thing:

==> ERROR: Integrity checks (sha256) differ in size from the source array.

bartus commented on 2018-12-13 14:29 (UTC) (edited on 2018-12-13 14:30 (UTC) by bartus)

@Ataraxy: it's a yay problem - you can check this package builds fine...

cd $(mktemp -d) && curl https://aur.archlinux.org/cgit/aur.git/snapshot/phonon-qt4.tar.gz|tar xzf - && cd phonon-qt4/; makepkg -rs

bartus commented on 2018-12-08 16:33 (UTC)

@anthraxx: be my guest (~˘▾˘)~

anthraxx commented on 2018-12-08 16:18 (UTC)

two weeks passed and signatures still not back in, please add back the signatures by default and pin a short help comment how users should handle using signatures. Otherwise i need to file an orphan request to do that myself, would love not to do it.

anthraxx commented on 2018-11-25 23:23 (UTC)

add back the signature ASAP and instead of pinning that you removed it, pin how to use it

bartus commented on 2018-11-18 12:26 (UTC)

@Ataraxy: Can reproduce the issue. Using online hash calculator I got a congruent result to sha256sums array.

Ataraxy commented on 2018-11-18 10:27 (UTC)

==> Validating source files with sha256sums...
    phonon-4.10.1.tar.xz ... FAILED
==> ERROR: One or more files did not pass the validity check!
Error downloading sources: phonon-qt4

bartus commented on 2018-11-18 07:55 (UTC) (edited on 2018-11-18 12:19 (UTC) by bartus)

@ByteHamster: fixed

@psitn: can't reproduce the issue, could you provide build log, please.

psltn commented on 2018-11-18 00:33 (UTC)

makepkg seems to not be downloading the right tar file. I had to download it manually to be able to build the package.

ByteHamster commented on 2018-11-17 22:04 (UTC)

Every new update requires manually deleting the build folder. Please replace mkdir build with mkdir build || true or with rm -r build; mkdir build in PKGBUILD.

Without deleting the build folder, I get this error:

==> Extracting sources...
  -> Extracting phonon-4.10.1.tar.xz with bsdtar
==> Starting prepare()...
mkdir: cannot create directory ‘build’: File exists
==> ERROR: A failure occurred in prepare().
    Aborting...

bartus commented on 2018-11-16 06:34 (UTC)

@micman: problem lays in mirror desync. Jut wait a bit, or change you mirror (try reflector@aur)

micman commented on 2018-11-15 18:26 (UTC)

It's impossible to install it for this dependency: "error: failed retrieving file 'extra-cmake-modules-5.51.0-1-any.pkg.tar.xz' from repo.itmettke.de : The requested URL returned error: 404"

bartus commented on 2018-11-04 20:05 (UTC) (edited on 2018-11-04 20:07 (UTC) by bartus)

@bidulock: At first it was, but got revoked because of deps cycle breaking aur helpers. prev-comment

bidulock commented on 2018-11-03 17:49 (UTC)

Why not have phonon-mplayer-git, phonon-qt4-gstreamer and phonon-qt4-vlc each provide phonon-qt4-backend and then place phonon-qt4-backend in depends=()?

bidulock commented on 2018-11-03 17:16 (UTC)

Thanks for the PKGBUILD. BTW, build fine for i686 too.

oi_wtf commented on 2018-10-31 19:59 (UTC) (edited on 2018-10-31 20:04 (UTC) by oi_wtf)

Just add auto-key-retrieve to the gpg.conf of the user you're building as and be done with it. Never had any problems builing aur packages that way. Including this one. (automatically using buildbot and in a clean chroot, even)

IMHO, users failing to build stuff, just b/c they are not able to simply run 'gpg --recv-key XXXXXX' or configure gpg to not ever need that, is not a valid reason to remove a working(!) pgp check. But that's just my 2 cents.

(EDIT: I'm not the only one of that opinion, though: https://lists.archlinux.org/pipermail/aur-general/2018-October/034351.html https://lists.archlinux.org/pipermail/aur-general/2018-October/034352.html )

bartus commented on 2018-10-31 13:28 (UTC) (edited on 2019-01-08 09:23 (UTC) by Alad)

To verify GPG signatures, see the wiki.

https://wiki.archlinux.org/index.php/Makepkg#Signature_checking

Popolon commented on 2018-10-30 09:30 (UTC)

If this can be helpfull for other, pamac-updater failed to install it due to keys problem, I tried to import keys as pinned above didn't work. I gone in ~.cache/pacaur/phonon-qt4 and makepkgbuild failed (probably older package ?)

then I typed pacaur -S phonon-qt4 and it strangly worked this time (perhaps a key import worked and printed a confusing message ???)

After that, need a backend (phonon-qt4-mplayer doesn't exists anymore, installed both phonon-qt4-gstreamer phonon-qt4-vlc).

OldNuc commented on 2018-10-28 23:51 (UTC)

@bartus, no I did not. Just did and will attempt the build again.

bartus commented on 2018-10-28 14:03 (UTC) (edited on 2018-10-28 14:03 (UTC) by bartus)

@OldNuc: Did you pull key from the server?

OldNuc commented on 2018-10-28 13:12 (UTC)

The pgp issue still exists.

==> Verifying source file signatures with gpg... phonon-4.10.1.tar.xz ... FAILED (unknown public key B92A5F04EC949121) ==> ERROR: One or more PGP signatures could not be verified!

bartus commented on 2018-10-27 10:39 (UTC)

@haawda: thanks captain hindsigh <_<

haawda commented on 2018-10-27 10:12 (UTC)

Typo in install file: ATTENTION needs two T's after the leading A.

buzo commented on 2018-10-19 16:10 (UTC)

webdawg: See dependencies on this page. Several packages provide phonon-qt4-backend.

webdawg commented on 2018-10-19 15:58 (UTC)

phonon-qt4-backend

Does it even exist?

bartus commented on 2018-09-14 21:10 (UTC) (edited on 2018-09-14 21:11 (UTC) by bartus)

@haawda: There is no good solution here.

  • If you remove backend from dependencies users will complain that phonon isn't working.

  • If you leave backend as dependencies users will complain about dependency cycle in a build process.

I will switch backend to optdeps for the time being, and add a post install message to warn about missing backend. Let see how that's gonna work

haawda commented on 2018-09-11 21:29 (UTC) (edited on 2018-09-11 21:32 (UTC) by haawda)

Why not just removing phonon-qt4-backend as dependency? Isn't this what optdepends are made for?

xuiqzy commented on 2018-09-09 18:01 (UTC)

Please change source URL to TLS encrypted https variant. Tested and works fine. Thanks! :)

famar commented on 2018-09-09 13:34 (UTC) (edited on 2018-09-09 13:35 (UTC) by famar)

@Plexcon

gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121 worked for me.

But sudo pacman-key --lsign 3FDBB55084CC5D84 not.

  -> Locally signing key 3FDBB55084CC5D84...
==> ERROR: 3FDBB55084CC5D84 could not be locally signed.

Still able to succesfully install phonon-qt4 with first command only. Thanks

JPW commented on 2018-08-31 10:31 (UTC) (edited on 2018-08-31 10:31 (UTC) by JPW)

@WeeTV: Removing the case files first

rm -rf ~/.cache/pacaur/phonon-qt4*

and re-running

pacaur -Sd phonon-qt4 phonon-qt4-vlc

fixed it for me.

WeeTC commented on 2018-08-29 17:13 (UTC)

Having got past the deps cycle with pacaur -Sd and then having got past the gpg problem with the second pinned comment, I'm still getting an error: "A failure occurred in prepare()".

Any tips? Thanks.

Alad commented on 2018-08-28 07:40 (UTC)

Packages requiring pacman -Udd to install are obvious bugs. Please fix your PKGBUILD

cl3M3c7 commented on 2018-08-26 13:19 (UTC)

no results found for phonon-qt4-backend (dependency tree: phonon-qt4 phonon-qt4-backend) !!!

bulletproof commented on 2018-08-25 14:41 (UTC) (edited on 2018-08-25 14:41 (UTC) by bulletproof)

@slav thank you very much.

Vrakfall commented on 2018-08-25 12:31 (UTC)

This was moved out of the repos, right?

Plexcon commented on 2018-08-25 08:15 (UTC) (edited on 2018-08-25 08:15 (UTC) by Plexcon)

gpg --keyserver pgp.mit.edu --recv-key B92A5F04EC949121

sudo pacman-key --lsign 3FDBB55084CC5D84

strizi9 commented on 2018-08-24 20:16 (UTC) (edited on 2018-08-24 20:17 (UTC) by strizi9)

gpg --search-keys B92A5F04EC949121

gpg --recv-keys B92A5F04EC949121

slav commented on 2018-08-24 19:45 (UTC)

yaourt -S --m-arg --skippgpcheck --noconfirm phonon-qt

diddyonlinux commented on 2018-08-24 18:28 (UTC)

I just removed anything to do with qt4 and everything so far is working.

diddyonlinux commented on 2018-08-24 16:53 (UTC)

Downloading phonon-4.10.1.tar.xz.sig... Validating source files with sha256sums... phonon-4.10.1.tar.xz ... Passed phonon-4.10.1.tar.xz.sig ... Skipped Verifying source file signatures with gpg... phonon-4.10.1.tar.xz ... FAILED (unknown public key B92A5F04EC949121) ERROR: One or more PGP signatures could not be verified